Skip to main content
Contact / Type Allocations

Get a list of contact type allocations

This method requires the Contacts:Get permission to be associated with your role.

GET
/fm/contact/type/allocations
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
contact_idstringqueryrequired

Contact Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
contact_type_idstringquery

Optional contact type Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

itemsobject[]